Bug 69973 - up2date-config GUI can't be used
up2date-config GUI can't be used
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-07-27 03:27 EDT by Need Real Name
Modified: 2015-01-07 18:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-30 14:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-27 03:27:09 EDT
Description of Problem:
up2date-config is not useable. Running the GUI application from the command line
yields errors and you are not able to enter any information about your proxy as
the GUI is never fully displayed and crashes out. Although it does create the
necessary config files.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. run up2date-config

Actual Results:
Can't enter any configuration through the GUI

Expected Results:
Should be able to enter configuration through the GUI

Additional Information:

The errors received were:

[root@deepthought rhn]# up2date-config

(up2date-config:3750): libglade-WARNING **: Unknown CList child property: visible

(up2date-config:3750): libglade-WARNING **: Unknown CList child property: visible

** (up2date-config:3750): WARNING **: could not find handler

** (up2date-config:3750): WARNING **: could not find handler

** (up2date-config:3750): WARNING **: could not find handler
Traceback (most recent call last):
  File "/usr/sbin/up2date-config", line 801, in ?
  File "/usr/sbin/up2date-config", line 459, in main
  File "/usr/share/rhn/up2date_client/configdlg.py", line 359, in main
    gui = Gui()
  File "/usr/share/rhn/up2date_client/configdlg.py", line 90, in __init__
  File "/usr/share/rhn/up2date_client/configdlg.py", line 107, in setInitialValues
    self.serverUrls = getServerUrls()
  File "/usr/share/rhn/up2date_client/configdlg.py", line 38, in getServerUrls
    serverUrls = rpcServer.doCall(s.servers.get)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 118, in doCall
    raise up2dateErrors.CommunicationError(e.args[1])
up2date_client.up2dateErrors.CommunicationError: Error communicating with
server.  The message was:
Name or service not known

** (up2date-config:3750): WARNING **: CORBA_ORB_destroy: ORB still has 2 refs.
Comment 1 Need Real Name 2002-07-27 03:30:25 EDT
using 'up2date-config --nox' seems to work correctly.

Even after using the above command to set the proxy, running 'up2date-config'
still gives the same error messages.
Comment 2 Need Real Name 2002-07-27 03:42:40 EDT
Ah! I'd forgot to set the "use proxy" flag. Once that's done you can use the gui
up2date-config once again...

This is bad for a new user on a new box though.
Comment 3 Forrest 2002-07-30 13:05:58 EDT
I noticed the same thing.  up2date should not try to connect to the internet
before you have a chance to enter a proxy.
Comment 4 Adrian Likins 2002-07-30 14:15:26 EDT
Hmm, indeed. 

Passable work around in cvs (catch the communications error). Probabaly
need to add a "refresh server list" button to refetch the list once
the proxy info is know. Not great ui, but alas... Bit of a catch-22
of course, need to setup up networking before I can ask a server
what other servers you might want to use for your networking.

I love http proxies ;->

first pass fix in cvs, should show up in 2.9.31
Comment 5 Jay Turner 2002-08-19 15:42:58 EDT
Fix confirmed with up2date-2.9.46-1.

Note You need to log in before you can comment on or make changes to this bug.